Package Details: mathematica 12.0.0-1

Git Clone URL: https://aur.archlinux.org/mathematica.git (read-only)
Package Base: mathematica
Description: A computational software program used in scientific, engineering, and mathematical fields and other areas of technical computing.
Upstream URL: http://www.wolfram.com/mathematica/
Licenses: proprietary
Submitter: Feanor12
Maintainer: JP-Ellis
Last Packager: JP-Ellis
Votes: 61
Popularity: 1.044858
First Submitted: 2011-03-03 21:27
Last Updated: 2019-06-09 00:27

Dependencies (61)

Required by (1)

Sources (1)

Pinned Comments

JP-Ellis commented on 2019-04-24 05:41

Update to Mathematica 12.0.0

Summary of new features: https://wolfr.am/new-features-12

Please let me know if you encounter any issues.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

RunAndTumble commented on 2019-04-29 14:46

This is odd, now, with the latest script I get this:

-> Errors related to 'xdg-icon-resource' and 'xdg-desktop-menu' are to be expected during Mathematica's installation. -> Fixing symbolic links /run/media/user/misc/inst/mathematica/mathematica/PKGBUILD: line 123: cd: /run/media/user/misc/inst/mathematica/mathematica/pkg/mathematica/opt/Mathematica/Executables: No such file or directory ==> ERROR: A failure occurred in package().

Icemole commented on 2019-04-29 09:56

@JP-Ellis thanks for the quick answer. If someone is wondering where to find the script, I found mine on my Wolfram User Portal.

JP-Ellis commented on 2019-04-29 08:54

@Icemole Unfortunately, there are (afaik) no publicly available download links for Mathematica. As a result, you must download Mathematica_12.0.0_LINUX.sh manually and place it in the same directory as the PKGBUILD.

Icemole commented on 2019-04-29 08:52

Hey, when executing makepkg I'm getting "ERROR: Mathematica_12.0.0_LINUX.sh was not found in the compilation directory, and it is not an URL address". It's right after sources are received. What I did was just downloading the snapshot and executing makepkg. Any ideas as to what's happening?

JP-Ellis commented on 2019-04-29 01:00

@rvlobato In my experience, Mathematica doesn't support HiDPI screens all that well, especially in pop-up windows. I have not found any workaround myself other than manually resizing the window.

rvlobato commented on 2019-04-25 00:45

Hi, I just have installed, but when the licence agreement appears, I cannot see the button to accept at window's end, it is cutted in the middle. My screen is HiDPI, I have tried to change the resolution and the scale unsuccessfully. Any suggestion?

JP-Ellis commented on 2019-04-24 05:41

Update to Mathematica 12.0.0

Summary of new features: https://wolfr.am/new-features-12

Please let me know if you encounter any issues.

pants commented on 2019-04-17 19:27

The following patch builds the package, but something may have to be done to get some libraries working correctly—I get SSL errors when attempting to do online registration and had to use the offline version. Once registered it runs fine, and even connects to the Wolfram cloud.

edit: I registered with the same PKGBUILD on my laptop, but using the graphical interface instead of the command line and suffered no problems.

diff --git a/PKGBUILD b/PKGBUILD
index [`8a45ff6`](https://aur.archlinux.org/cgit/aur.git/commit/?h=mathematica&id=8a45ff6)..0f134fc 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,8 +7,8 @@
 # Contributor: teratomata <teratomat@gmail.com>

 pkgname=mathematica
-pkgver=11.3.0
-pkgrel=3
+pkgver=12.0.0
+pkgrel=1
 pkgdesc="A computational software program used in scientific, engineering, and mathematical fields and other areas of technical computing."
 arch=('i686' 'x86_64')
 url="<http://www.wolfram.com/mathematica/>"
@@ -75,8 +75,8 @@ optdepends=(
     'zlib'
 )   
 source=("local://Mathematica_${pkgver}_LINUX.sh" "duplicate-libs.txt")
-md5sums=('623f9fa3d34ded6997c7b9f1505097c0'
-         'e442aa2286a9d93e932076c974517dd7')
+md5sums=('f3ca61be780242cd16d3e313a800a287'
+         'f01cd280d4e13014f6253df657d1e572')
 options=("!strip")

 ## To build this package you need to place the mathematica-installer into your
@@ -145,8 +145,8 @@ package() {
     mkdir -p ${srcdir}/WolframScript
     mkdir -p ${pkgdir}/usr/share/
     cd ${srcdir}/WolframScript
-    bsdtar -xf ${pkgdir}/opt/Mathematica/SystemFiles/Installation/wolframscript_1.2.0-36_amd64.deb data.tar.gz
-    tar -xf data.tar.gz -C ${pkgdir}/usr/share/ --strip=3 ./usr/share/
+    bsdtar -xf ${pkgdir}/opt/Mathematica/SystemFiles/Installation/wolframscript_1.2.0+2019040701_amd64.deb data.tar.xz
+    tar -xf data.tar.xz -C ${pkgdir}/usr/share/ --strip=3 ./usr/share/


     msg2 "Copying menu and mimetype information"
@@ -155,7 +155,7 @@ package() {
           ${pkgdir}/usr/share/desktop-directories \
           ${pkgdir}/usr/share/mime/packages
     cd ${pkgdir}/opt/Mathematica/SystemFiles/Installation
-    desktopFile='wolfram-mathematica11.desktop'
+    desktopFile='wolfram-mathematica12.desktop'
     sed -Ei 's|^(\s*TryExec=).*|\1/usr/bin/Mathematica|g' $desktopFile
     sed -Ei 's|^(\s*Exec=).*|\1/usr/bin/Mathematica %F|g' $desktopFile
     printf 'Categories=Science;Math;NumericalAnalysis;DataVisualization;' >> $desktopFile
diff --git a/duplicate-libs.txt b/duplicate-libs.txt
index [`66f4cca`](https://aur.archlinux.org/cgit/aur.git/commit/?h=mathematica&id=66f4cca)..93d5486 100644
--- a/duplicate-libs.txt
+++ b/duplicate-libs.txt
@@ -1,38 +1,11 @@
 ./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libGLU.so
 ./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libGLU.so.1
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libcairo.so
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libcairo.so.2
 ./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libcrypto.so.1.0.0
 ./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libespeak.so
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libffi.so
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libffi.so.6
 ./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libfreetype.so
 ./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libfreetype.so.6
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libgio-2.0.so
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libgio-2.0.so.0
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libglib-2.0.so
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libglib-2.0.so.0
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libgmodule-2.0.so
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libgmodule-2.0.so.0
 ./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libgmp.so.10
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libgobject-2.0.so
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libgobject-2.0.so.0
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libgthread-2.0.so
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libgthread-2.0.so.0
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libharfbuzz.so
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libharfbuzz.so.0
 ./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libiomp5.so
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libpango-1.0.so
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libpango-1.0.so.0
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libpangocairo-1.0.so
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libpangocairo-1.0.so.0
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libpangoft2-1.0.so
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libpangoft2-1.0.so.0
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libpangoxft-1.0.so
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libpangoxft-1.0.so.0
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libpixman-1.so
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libpixman-1.so.0
-./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libpng12.so.0
 ./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libportaudio.so.2
 ./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libssh2.so.1
 ./opt/Mathematica/SystemFiles/Libraries/Linux-x86-64/libssl.so.1.0.0

RunAndTumble commented on 2019-04-17 18:15

OK, this is what I get when I try to install v12.0 using the old script:

-> Setting up WolframScript bsdtar: Error opening archive: Failed to open '/run/media/user/misc/mathematica/pkg/mathematica/opt/Mathematica/SystemFiles/Installation/wolframscript_1.2.0-36_amd64.deb'

PlaidPenguin commented on 2019-03-17 15:17

@JP-Ellis @miro86 I managed to get rid of the error. The problem was, that there was a $ in front of the directory name that the cd in line 120 was supposed to change to. Removing this fixed this specific bug. I also changed the directory to point to the one where my wolframscript was. I am actually running manjaro, so maybe the's why it doesn't work for me... Now i only have a bug, saying, that my fakeroot doesn't work and it cannot create or remove directories. I hope this may have helped.